Bug 309470 - Web shortcut option "Use selected shortcuts only" is ignored
Summary: Web shortcut option "Use selected shortcuts only" is ignored
Status: RESOLVED FIXED
Alias: None
Product: rekonq
Classification: Unclassified
Component: general (show other bugs)
Version: 1.3
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Andrea Diamantini
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-03 10:17 UTC by Fabian Knorr
Modified: 2013-02-12 14:52 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Knorr 2012-11-03 10:17:49 UTC
When checking both "Enable Web shortcuts" and "Use selected shortcuts only", disabled shortcuts are still applied. This is a real problem when the keyword delimiter is set to "space" and the user tries to search for e.g. a KDE-related term using the default search engine, and ends up in the KDE documentation.

Reproducible: Always

Steps to Reproduce:
1. Under Settings/Search Engines, check both  "Enable Web shortcuts" , "Use selected shortcuts only"
2. In the address bar, enter a search query starting with a disabled web shortcut
Actual Results:  
The disabled web shortcut is applied.

Expected Results:  
The default search engine (e.g. Google) should receive the query.
Comment 1 Andrea Diamantini 2013-02-12 14:52:59 UTC
Git commit f33a098efb93291a83e155cc1126652804fee3da by Andrea Diamantini, on behalf of Dimitrios Christidis.
Committed on 12/02/2013 at 10:56.
Pushed by adjam into branch 'master'.

Honor configuration for Web Shortcuts.

Rekonq will no longer ignore options "Enable Web shortcuts" and "Use
preferred shortcuts only".

This commit also removes the conditional compilation directives
introduced in commit 14e028 as rekonq 2.x now depends on 4.9.
REVIEW: 108902

Signed-off-by: Andrea Diamantini <adjam7@gmail.com>

M  +15   -10   src/searchengine.cpp

http://commits.kde.org/rekonq/f33a098efb93291a83e155cc1126652804fee3da